#version 330 core

uniform mat4 proj; // Projection Matrix
uniform mat4 view; // View Matrix

layout(location=0) in vec2 position;
layout(location=1) in vec4 color;
layout(location=2) in vec2 texcoord;

out vec4 v_color;
out vec2 v_texcoord;

void main()
{
    // I'm flooring the position vector to prevent misalignment
    // See http://puu.sh/oChLr/da12e32425.png for what I mean
    // It's supposed to look like http://puu.sh/oChIO/28ad23f77f.png
    
    v_color = color;
    v_texcoord = texcoord;
    // gl_Position = proj * view * vec4(vec2(int(position.x), int(position.y)), 0.0, 1.0);
    gl_Position = proj * view * vec4(position, 0.0, 1.0);
}
